using QwirkleClassLibrary.Players;
using static System.Runtime.InteropServices.JavaScript.JSType;
namespace TestBase;

public class TestScore
{
    [Fact]
    public void Test_CellScoreConstructor()
    {
        Player p = new Player("test");
        DateTime now = DateTime.Today;
        Score score = new Score(p.NameTag, now, 0, 0);

        Assert.Equal("test", score.PlayerName);
    }

    [Fact]
    public void Test_ScoreString() 
    {
        Player p = new Player("test");
        DateTime now = DateTime.Today;
        Score score = new Score(p.NameTag, now, 0, 0);

        Assert.Equal(score.ToString(), p.NameTag + " / " + now.ToString() + " / " + 0 + " / " + 0);

    }
}

